---
schema_version: "1"
id: 9f7cf0137bfbdd6a22d7e97ce6bdaaab392263fd1784bf8f82ebe487411250e4
title: Content - Video (Connect API)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/mc-core/references/generated-api-specs/mc-next-video-content.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud-growth/references/mc-next-video-content
source_site: developer.salesforce.com
content_type: documentation
content_hash: 6d209c2918751f07fbeac40d817e355b806cd9460e95f64e010a6322458910c0
products:
  - Marketing Cloud Next
  - Marketing Cloud
---
Content - Video (Connect API)

# Content - Video (Connect API)

Create and retrieve video content in a Marketing Cloud Next content workspace by using Connect API.

| Supported Use Case | HTTP Verb | URI |
| --- | --- | --- |
| Create video content | [POST](/docs/marketing/marketing-cloud-growth/references/mc-next-video-content?meta=createVideo) | /services/data/{apiVersion}/connect/cms/contents |
| Retrieve video content | [GET](/docs/marketing/marketing-cloud-growth/references/mc-next-video-content?meta=getVideo) | /services/data/{apiVersion}/connect/cms/contents/{contentId} |

**Version:** v68.0

## Servers

*   `https://{subdomain}.my.salesforce.com`
    *   `subdomain (default (no default)) The unique API subdomain for your Salesforce org.`

## Operations

### POST Add a video to a content folder.

`POST /services/data/{apiVersion}/connect/cms/contents`

Operation ID: `createVideo`.

#### Parameters

*   `Authorization` (header, string, required) A unique
    
    _Example_
    
    ```
    Bearer YOUR_ACCESS_TOKEN
    ```
    
*   `apiVersion` (path, string, required) The Salesforce API version

#### Request body (required)

Media type: `application/json`. Schema: `VideoRequest`.

#### Responses

*   **201** The video content was created or retrieved.
    
    Media type: `application/json`. Schema: `VideoResponse`.
    
*   **400** The request is invalid.
    
    Media type: `application/json`. Schema: `Error`.
    
*   **401** The access token is missing
    
    Media type: `application/json`. Schema: `Error`.
    
*   **403** You don't have permission to perform this action.
    
    Media type: `application/json`. Schema: `Error`.
    

### GET Retrieve video content.

`GET /services/data/{apiVersion}/connect/cms/contents/{contentId}`

Operation ID: `getVideo`.

#### Parameters

*   `Authorization` (header, string, required) A unique
    
    _Example_
    
    ```
    Bearer YOUR_ACCESS_TOKEN
    ```
    
*   `apiVersion` (path, string, required) The Salesforce API version
*   `contentId` (path, string, required) The ID of the video content item.

#### Responses

*   **200** The video content was created or retrieved.
    
    Media type: `application/json`. Schema: `VideoResponse`.
    
*   **401** The access token is missing
    
    Media type: `application/json`. Schema: `Error`.
    
*   **404** The requested video content wasn't found.
    
    Media type: `application/json`. Schema: `Error`.
    

## Schemas

### VideoRequest

*   `contentSpaceOrFolderId` (_string_, required) The ID of the content workspace or folder that contains the video.
*   `contentType` (_string_, required) The video content type.  
    Allowed values: `sfdc_cms__video`.
*   `contentBody` (_VideoBody_, required)

_Example_

```
{
  "contentSpaceOrFolderId": "0Zuxx00000003M5CAI",
  "contentType": "sfdc_cms__video",
  "contentBody": {
    "sfdc_cms:title": "Product Demo Video",
    "sfdc_cms:description": "Demo video for product launch campaign",
    "altText": "Product demo walkthrough showing key features",
    "sfdc_cms:media": {
      "source": {
        "type": "file",
        "ref": "069xx00000000001AAA",
        "size": 52428800,
        "mimeType": "video/mp4"
      }
    }
  }
}
```

### VideoResponse

*   `managedContentId` (_string_) The managed content ID.
*   `managedContentVariantId` (_string_) The managed content variant ID.
*   `contentKey` (_string_) The content key.
*   `contentBody` (_VideoBody_)

_Example_

```
{
  "managedContentId": "20YSB000004SkOz2AK",
  "managedContentVariantId": "9PsSB0000045XAj0AM",
  "contentKey": "MCJUR5WKNRHZFP7NAUQOMMNJ7CI4",
  "contentBody": {
    "sfdc_cms:title": "Product Demo Video",
    "sfdc_cms:description": "Demo video for product launch campaign",
    "altText": "Product demo walkthrough showing key features",
    "sfdc_cms:media": {
      "source": {
        "type": "file",
        "ref": "069xx00000000001AAA",
        "size": 52428800,
        "mimeType": "video/mp4"
      }
    }
  }
}
```

### Error

*   `errorCode` (_string_, required) The error code.
*   `message` (_string_, required) A description of the error.

### VideoBody

*   `sfdc_cms:title` (_string_) The video title.
*   `sfdc_cms:description` (_string_) A description of the video.  
    Maximum length: 255.
*   `altText` (_string_) Alternative text that describes the video.  
    Maximum length: 2000.
*   `sfdc_cms:media` (_MediaSource_, required)

### MediaSource

*   `source` (_FileSource | UrlSource_, required)
    
    One of: `FileSource`, `UrlSource`.
    

### FileSource

*   `type` (_string_, required)  
    Allowed values: `file`.
*   `ref` (_string_, required) The Salesforce file ID.
*   `size` (_integer_) The file size in bytes.
*   `mimeType` (_string_) The video MIME type.  
    Allowed values: `video/mp4`, `video/webm`, `video/ogg`.

### UrlSource

*   `type` (_string_, required)  
    Allowed values: `url`.
*   `url` (_string (uri)_, required) The URL of the video.